<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
    th:replace="~{main-layout.html::main-fragment(~{::title},~{::#presentation-main-context})}">

<head>
    <meta charset="UTF-8">
    <title>Présentation</title>
</head>

<body>
    <div class="container-fluid" id="presentation-main-context">
        <div th:if="${prenom} and ${nom}" class="alert alert-primary col-md-6" th:text="'Bonjour,' + ${prenom} + ' ' +${nom}">bonjour</div>
        <div class="my-3"><a  th:href="@{/presentation/path/john/doe}">Présentation John Doe</a></div>
        <div class="my-3"><a  th:href="@{/presentation/param?prenom=jane&nom=doe}">Présentation Jane Doe</a></divclass="my-3">
        <form method="post" th:action="@{/presentation/param}">
            <div class="mb-3 col-md-6">
                <label class="form-label" for="prenom">Prénom</label>
                <input class="form-control" type="text" name="prenom" id="prenom" />
            </div>
            <div class="mb-3 col-md-6">
                <label class="form-label" for="nom">Nom</label>
                <input class="form-control" type="text" name="nom" id="nom" />
            </div>
            <input class="btn btn-primary mb-3" type="submit" value="Présentation" />
        </form>
    </div>
    </div>

    <body>
    </body>

</html>